---
title: SharedArrayBuffer.prototype.byteLength
slug: Web/JavaScript/Reference/Global_Objects/SharedArrayBuffer/byteLength
tags:
  - JavaScript
  - Property
  - Shared Memory
  - SharedArrayBuffer
  - TypedArrays
---
<div>{{JSRef}}</div>

<p>The <strong><code>byteLength</code></strong> accessor property represents the length of an {{jsxref("SharedArrayBuffer")}} in bytes.</p>

<div>{{EmbedInteractiveExample("pages/js/sharedarraybuffer-bytelength.html","shorter")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Description">Description</h2>

<p>The <code>byteLength</code> property is an accessor property whose set accessor function is <code>undefined</code>, meaning that you can only read this property. The value is established when the shared array is constructed and cannot be changed.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_byteLength">Using byteLength</h3>

<pre class="brush:js notranslate">var sab = new SharedArrayBuffer(1024);
sab.byteLength; // 1024
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-get-sharedarraybuffer.prototype.bytelength', 'SharedArrayBuffer.prototype.byteLength')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.SharedArrayBuffer.byteLength")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("SharedArrayBuffer")}}</li>
</ul>
